/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.clamputility;

/**
 *
 * @author omozegieaziegbe
 */
public class ClampUtility {

    // Clamp function for integers
    public static int clamp(int value, int min, int max) {
        if (min > max) {
            throw new IllegalArgumentException("Min value must be less than or equal to max value");
        }
        return Math.max(min, Math.min(max, value));
    }

    // Additional overload Clamp function for double values
    public static double clamp(double value, double min, double max) {
        return Math.max(min, Math.min(max, value));
    }

    public static void main(String[] args) {

        // Example for integer values
        int firstTest = clamp(5, 10, 45);

        int secondTest = clamp(30, 10, 45);

        int thirdTest = clamp(50, 10, 45);

        System.out.println("First Test: " + firstTest);
        System.out.println("Second Test: " + secondTest);
        System.out.println("Third Test: " + thirdTest);

        // Example for double values       
        double length = 50.00;
        double minLength = 10.00;
        double maxLength = 20.00;

        double clampedLength = clamp(length, minLength, maxLength);
        System.out.println("Original Length: " + length);
        System.out.println("Clamped Length: " + clampedLength);

    }
}
